Subject: bug#6548: edmacro-mode omits to call `run-mode-hooks'

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Jan 2021 17:45:12 +0100

David Reitter <[email-masked]> writes:

> It seems that edmacro-mode omits to call `run-mode-hooks', which means
> that `change-major-mode-hook' is not run.
>
> Begin forwarded message:
>
>> 
>> Loose description:  Create and edit a keyboard macro.  You get the above
>> complaint in the *Messages* buffer.
>> 
>> More precise, for form's sake:  Enter 
>> 
>>    ^X ( a ^X ) M-x edit-last-kbd-macro RET ^X B *Messages* RET
>> 
>> The antepenultimate line says:
>> 
>>    Warning: Bug in edmacro-mode: it forgets to call `run-mode-hooks'
>> 
>> I have no idea what this means, but it seems worth reporting.

(I'm going through old bug reports that unfortunately got no response at
the time.)

I tried your recipe in Emacs 28, but was unable to reproduce the bug.
That is, I get no "Warning" line in *Messages*.

Do you still see this problem in more recent versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no